Results 1 to 3 of 3

Thread: Editing ARX Objects with AutoLISP????

  1. #1
    Member
    Join Date
    2008-10
    Posts
    7
    Login to Give a bone
    0

    Default Editing ARX Objects with AutoLISP????

    Does anyone know how to edit custom objects (ARX) with an AutoLISP routine? I can give more specifics if needed.

    The company I work for have their own software add-on they developed for joist and deck. However it is lacking a few simple editing features such as moving some text from one side of the object to the other side. In order to accomplish this users have to select the object, open the properties and select the choice from top to bottom. They have that available through properties so I was wondering if there is a way AutoLISP could access it and change it??? I can obtain the object entity info and I know that the dotted pair (292 . 1) represents text on top and (292 . 0) is bottom. I've tried doing an entmod but it always comes back nil.

    I was wondering if entmod won't work on custom objects??? Or if I just need to go about this another way.

    Any thoughts would be great and if you'd like more info or graphics I can get those too.

    Thanks.

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Editing ARX Objects with AutoLISP????

    You may be able to use VisualLISP to modify the object.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Editing ARX Objects with AutoLISP????

    Seeing as your custom object shows its properties in the Property Palette, this might just work. Type the following 3 lines at the command prompt & select the object when asked:
    Code:
    (setq en (entsel))
    (setq eo (vlax-ename->vla-object (car en)))
    (vlax-dump-object eo t)
    Press F2 to open the text screen - it should display all the available properties / methods on that object. From there you can then figure out which to call using (vlax-invoke-method eo ...) or (vlax-put-property eo ...).

Similar Threads

  1. Help editing AutoLisp routine-autonumbering by attributes
    By niccolel363615 in forum AutoLISP
    Replies: 2
    Last Post: 2014-09-16, 07:40 PM
  2. Moving objects by editing it's coordinate.
    By Wish List System in forum Revit Structure - Wish List
    Replies: 0
    Last Post: 2011-12-07, 06:04 PM
  3. Grip Editing Annotative Objects
    By DBill2508 in forum AutoCAD Annotation
    Replies: 8
    Last Post: 2008-04-28, 11:16 AM
  4. Editing Imported Objects
    By shru11 in forum Revit Architecture - General
    Replies: 2
    Last Post: 2005-01-13, 01:15 AM
  5. Editing AEC objects in AutoCad 2005
    By d_hoffer in forum AutoCAD General
    Replies: 2
    Last Post: 2004-06-08, 07:25 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •